<?php
/**
 * Xponent Standard II appearance settings.
 *
 * @package Xponent Standard II
 * @author  Xponent
 * @license GPL-2.0-or-later
 * @link    https://xponent.se/themes/
 */

$xponent_stnd_default_colors = [
	'link'   => '#0073e5',
	'accent' => '#0073e5',
];

$xponent_stnd_link_color = get_theme_mod(
	'xponent_stnd_link_color',
	$xponent_stnd_default_colors['link']
);

$xponent_stnd_accent_color = get_theme_mod(
	'xponent_stnd_accent_color',
	$xponent_stnd_default_colors['accent']
);

$xponent_stnd_link_color_contrast   = xponent_stnd_color_contrast( $xponent_stnd_link_color );
$xponent_stnd_link_color_brightness = xponent_stnd_color_brightness( $xponent_stnd_link_color, 35 );

return [
	'fonts-url'            => 'https://fonts.googleapis.com/css?family=Source+Sans+Pro:400,400i,600,700&display=swap',
	'content-width'        => 1062,
	'button-bg'            => $xponent_stnd_link_color,
	'button-color'         => $xponent_stnd_link_color_contrast,
	'button-outline-hover' => $xponent_stnd_link_color_brightness,
	'link-color'           => $xponent_stnd_link_color,
	'default-colors'       => $xponent_stnd_default_colors,
	'editor-color-palette' => [
		[
			'name'  => __( 'Custom color', 'xponent-stnd' ), // Called “Link Color” in the Customizer options. Renamed because “Link Color” implies it can only be used for links.
			'slug'  => 'theme-primary',
			'color' => $xponent_stnd_link_color,
		],
		[
			'name'  => __( 'Accent color', 'xponent-stnd' ),
			'slug'  => 'theme-secondary',
			'color' => $xponent_stnd_accent_color,
		],
	],
	'editor-font-sizes'    => [
		[
			'name' => __( 'Small', 'xponent-stnd' ),
			'size' => 12,
			'slug' => 'small',
		],
		[
			'name' => __( 'Normal', 'xponent-stnd' ),
			'size' => 18,
			'slug' => 'normal',
		],
		[
			'name' => __( 'Large', 'xponent-stnd' ),
			'size' => 20,
			'slug' => 'large',
		],
		[
			'name' => __( 'Larger', 'xponent-stnd' ),
			'size' => 24,
			'slug' => 'larger',
		],
	],
];
