<?php
/**
 * Xponent Standard II.
 *
 * This file adds the default theme settings to the Xponent Standard II theme.
 *
 * @package Xponent Standard II
 * @author  Xponent
 * @license GPL-2.0-or-later
 * @link    https://xponent.se/themes/
 */

add_filter( 'simple_social_default_styles', 'xponent_stnd_social_default_styles' );
/**
 * Set Simple Social Icon defaults.
 *
 * @since 1.0.0
 *
 * @param array $defaults Social style defaults.
 * @return array Modified social style defaults.
 */
function xponent_stnd_social_default_styles( $defaults ) {

	$args = genesis_get_config( 'simple-social-icons-settings' );

	return wp_parse_args( $args, $defaults );

}
